package corso.example.sistemiembedded.activityparameter;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.widget.EditText;

import corso.example.sistemiembedded.activityparameter.R;

public class ActivityPadre extends Activity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_padre);

        //Intercetto il click del pulsante e avvio l'activity Figlio
        this.findViewById(R.id.buttonAvviaDue).setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				//Edit contenente il testo da inviare
				EditText testoDaInviare = (EditText) findViewById(R.id.editTesto);

				Intent figlio = new Intent(getApplicationContext(), FiglioActivity.class);
				figlio.putExtra(getPackageName(), testoDaInviare.getText().toString());

                //Avvio Activity Figlio specificando id di FiglioActivity
				startActivityForResult(figlio, FiglioActivity.ID);
			}
		});
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {

        return true;
    }
    
    /**
     * Implementiamo la funzione onActivityResult per recuperare
     * la risposta dell'activity figlio
     * Questo metodo dell'activity chiamante aspetterà un risultato dall'activity chiamata
     */
    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
    	super.onActivityResult(requestCode, resultCode, data);
    	
    	if(resultCode == FiglioActivity.ID) {
    		String risposta = data.getExtras().getString(getPackageName());
    		
    		EditText edit = (EditText) this.findViewById(R.id.editRisposta);
    		edit.setText(risposta);
    	}
    }
}
